#pragma once

#include "resource.h"

#define WM_UPDATESTATUS WM_USER + 80

class CImpBlock;
// CImpBlockConfigWindow dialog

class CImpBlockConfigWindow : public CDialog
{
	DECLARE_DYNAMIC(CImpBlockConfigWindow)
public:
	CImpBlockConfigWindow(CWnd* pParent = NULL, IUnknown *pUnkOuter = NULL);   // standard constructor
	virtual ~CImpBlockConfigWindow();

// Dialog Data
	enum { IDD = IDD_DIALOG1 };

protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support

	DECLARE_MESSAGE_MAP()
public:
	CImpBlock *m_pImpBlock;
	CString m_strName;
	BOOL m_bCheckFile;
	BOOL m_bSkipEmptyLayers;
	BOOL m_bDisableInput;
protected:
public:

	afx_msg void OnBnClickedButtonset();
	afx_msg LRESULT OnUpdateStatus(WPARAM wParam, LPARAM lParam);
};
